@use "../theme";
@use "../mixins";

.score-block {
    position: relative;
    display: flex;
    padding: theme.$spacing06;
    justify-content: center;
    width: 100%;
    margin: 0;
    border: 1px solid theme.$colorPaletteGray300;
    border-radius: theme.$borderRadiusLarge;
    background-color: theme.$colorPaletteGray100;

    @media only screen and (min-width: theme.$sm) {
        justify-content: center;
        padding: 24px 0;
        flex-direction: column;
    }

    .pie-chart {
        justify-self: center;
        align-self: center;
    }

    &__timestamp {
        font-weight: theme.$fontWeightRegular;
        font-size: theme.$fontSizeSmall;
        margin-top: theme.$spacing02;
        margin-left: theme.$spacing03;
        text-align: center;
        color: theme.$colorPaletteGray800;
        display: flex;
        justify-content: center;
        align-items: center;

        svg {
            margin-right: theme.$spacing02;
            fill: theme.$colorPaletteGray800;
        }

        @media only screen and (min-width: theme.$sm) {
            margin: 0;
            width: 100%;
            position: absolute;
            bottom: theme.$spacing02;
        }

    }

    &--lowest {
        background-color: rgb(254, 235, 237);
    }

    &--highest {
        background-color: rgb(203, 255, 231);
    }
}
